Subject: Re: bug#15575: 24.3.50; New tty menus crash Emacs

From: martin rudalics <[email-masked]>
Date: Wed, 16 Oct 2013 19:48:37 +0200

>>  > Moreover, on GNU/Linux you can start Emacs as a daemon, attach a
 >>  > debugger, and then open a TTY frame with emacsclient.
 >>
 >> But this won't help when Emacs crashes during startup, IIUC.
 >
 > When Emacs crashes during startup, you should be fine running it from
 > the same console where GDB runs.

But I want to run GDB from within Emacs :-(

 > What did you set the inferior-tty to?

I did for example ...

Current directory is /home/martin/emacs/trunk/src/
GNU gdb (GDB) 7.4.1-debian
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /home/martin/emacs/trunk/src/bootstrap-emacs...done.
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
DISPLAY = :0.0
TERM = dumb
(gdb) tty /dev/pts/3
(gdb) show inferior-tty
Terminal for future runs of program being debugged is "/dev/pts/3".
(gdb) run -Q -nw
Starting program: /home/martin/emacs/trunk/src/bootstrap-emacs -Q -nw
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[New Thread 0x7fffefd46700 (LWP 4629)]
[Thread 0x7ffff7fcd960 (LWP 4626) exited]
(gdb)

... and it still tells me that my terminal is dumb.

 >>  > The above commands should work from a graphical session.
 >>
 >> Do they for you?
 >
 > Yes, but I still have no clear idea what you tried to do, exactly.  So
 > maybe we are talking about different things.

I thought you meant the set new-console command.

What I want is simple: Start a graphical Emacs session, within that
session do M-x gdb in an Emacs source directory, and then run -Q -nw.
What am I missing to make such a simple scenario work?  Did anyone on
GNU/Linux ever try that?

martin